/* Svox.h

Header file for Svox.cpp

Part of the caiviar package. 

This file is distributed under the GPL, see file COPYING for details. 
*/

#ifndef __svox__
#define __svox__

#include "../src/Log.h"

class Svox: public TextToSpeech
{
public:
    static int initialize(Logger* log);
    static void finalize(Logger* log);

    Svox(Logger* log);
    virtual ~Svox();
    virtual void text2Stream (const char *text, unsigned char **outbuffer, unsigned long *size);
    virtual void text2File (const char *text, const char *filename);
    virtual void text2Audio (const char *text);
    static int setParams (const char *key, const char* value);

private:
    /** Directory of the svox installation. */
    static char* dir;
    /** The voice to use when sampling text. */
    static char* voice;
    /** The speed to use when sampling text. */
    static int         speed;
    /** The speed to use when sampling text. */
    static int         pitch;
    /** The speed to use when sampling text. */
    static int         volume;
};

#endif
